<?xml version="1.0" encoding="UTF-8"?>

<!-- ~ JBoss, Home of Professional Open Source. ~ Copyright 2011, Red Hat,
	Inc., and individual contributors ~ as indicated by the @author tags. See
	the copyright.txt file in the ~ distribution for a full listing of individual
	contributors. ~ ~ This is free software; you can redistribute it and/or modify
	it ~ under the terms of the GNU Lesser General Public License as ~ published
	by the Free Software Foundation; either version 2.1 of ~ the License, or
	(at your option) any later version. ~ ~ This software is distributed in the
	hope that it will be useful, ~ but WITHOUT ANY WARRANTY; without even the
	implied warranty of ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
	See the GNU ~ Lesser General Public License for more details. ~ ~ You should
	have received a copy of the GNU Lesser General Public ~ License along with
	this software; if not, write to the Free ~ Software Foundation, Inc., 51
	Franklin St, Fifth Floor, Boston, MA ~ 02110-1301 USA, or see the FSF site:
	http://www.fsf.org. -->
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>org.jboss</groupId>
        <artifactId>jboss-parent</artifactId>
        <version>39</version>
    </parent>

    <groupId>org.jboss.installer</groupId>
    <artifactId>jboss-eap-installer</artifactId>
    <version>8.0.10.GA-redhat-00001</version>
    <name>JBoss EAP</name>
    <licenses>
     <license>
      <name>The GNU Lesser General Public License, Version 3.0</name>
      <url>http://www.gnu.org/licenses/lgpl-3.0.txt</url>
      <distribution>repo</distribution>
     </license>
    </licenses>

    <packaging>jar</packaging>
    <!--Please keep below properties list alphabetical.-->
    <properties>
        <eap.release.version>8.0</eap.release.version>
        <product.repository.name>jboss-eap-8.0-product-repository</product.repository.name>
        <product.repository.url>https://maven.repository.redhat.com/ga</product.repository.url>
        <test.repository.0>${product.repository.name}::${product.repository.url}</test.repository.0>
        <test.repository.1>central::https://repo1.maven.org/maven2/</test.repository.1>
        <version.assertj>3.23.1</version.assertj>
        <version.com.formdev>3.1.1</version.com.formdev>
        <version.com.ibm.db2.jcc>11.1.4.4</version.com.ibm.db2.jcc>
        <version.com.google.auto.service>1.0.1</version.com.google.auto.service>
        <version.com.sun.faces>4.0.0.SP01</version.com.sun.faces>
        <version.jakarta.faces.jakarta-faces-api>4.0.1</version.jakarta.faces.jakarta-faces-api>
        <version.junit>4.13.2</version.junit>
        <version.maven-antrun-plugin>3.0.0</version.maven-antrun-plugin>
        <version.maven-compiler-plugin>3.11.0</version.maven-compiler-plugin>
        <version.maven-dependency-plugin>3.6.0</version.maven-dependency-plugin>
        <version.maven-shade-plugin>3.5.1</version.maven-shade-plugin>
        <version.maven-surefire-plugin>3.0.0</version.maven-surefire-plugin>
        <version.io.undertow>2.3.6.Final</version.io.undertow>
        <version.org.aesh.readline>2.4.0.redhat-00002</version.org.aesh.readline>
        <version.org.apache.commons-text>1.11.0.redhat-00001</version.org.apache.commons-text>
        <version.org.apache.directory.server>2.0.0.AM25</version.org.apache.directory.server>
        <version.org.apache.myfaces.core.myfaces>4.0.0-RC4</version.org.apache.myfaces.core.myfaces>
        <version.org.bouncycastle>1.73</version.org.bouncycastle>
        <version.org.eclipse.jgit>6.6.1.202309021850-r-redhat-00001</version.org.eclipse.jgit>
        <version.org.jboss.wildfly-core>21.0.17.Final-redhat-00001</version.org.jboss.wildfly-core>
        <version.org.jboss.galleon>5.1.3.Final-redhat-00001</version.org.jboss.galleon>
        <version.org.jboss.logmanager>2.1.19.Final-redhat-00001</version.org.jboss.logmanager>
        <version.org.jboss.logging.slf4j-jboss-logmanager>2.0.1.Final-redhat-00001</version.org.jboss.logging.slf4j-jboss-logmanager>
        <version.org.jboss.shrinkwrap.shrinkwrap>1.2.6</version.org.jboss.shrinkwrap.shrinkwrap>
        <version.org.wildfly.arquillian>5.0.0.Final</version.org.wildfly.arquillian>
        <version.org.wildfly.checkstyle-config>1.0.8.Final</version.org.wildfly.checkstyle-config>
        <version.org.wildfly.prospero>1.1.19.Final-redhat-00002</version.org.wildfly.prospero>
        <version.org.wildfly.channels>1.0.6.Final-redhat-00010</version.org.wildfly.channels>
        <version.org.mockito>5.12.0</version.org.mockito>
    </properties>

    <dependencyManagement>
        <dependencies>
            <dependency>
                <groupId>org.wildfly.core</groupId>
                <artifactId>wildfly-core-parent</artifactId>
                <version>${version.org.jboss.wildfly-core}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>
            <dependency>
                <groupId>com.google.guava</groupId>
                <artifactId>guava</artifactId>
                <version>33.0.0.jre-redhat-00002</version>
            </dependency>
            <dependency>
                <groupId>org.apache.commons</groupId>
                <artifactId>commons-lang3</artifactId>
                <version>3.14.0.redhat-00007</version>
            </dependency>
            <!-- override prospero versions -->
            <dependency>
                <groupId>commons-codec</groupId>
                <artifactId>commons-codec</artifactId>
                <version>1.16.1.redhat-00007</version>
            </dependency>
            <dependency>
                <groupId>commons-io</groupId>
                <artifactId>commons-io</artifactId>
                <version>2.16.1.redhat-00001</version> <!-- Original version: 2.15.1.redhat-00001 -->
            </dependency>
            <dependency>
                <groupId>org.apache.httpcomponents</groupId>
                <artifactId>httpclient</artifactId>
                <version>4.5.14.redhat-00012</version>
            </dependency>
            <dependency>
                <groupId>org.apache.httpcomponents</groupId>
                <artifactId>httpcore</artifactId>
                <version>4.4.16.redhat-00010</version>
            </dependency>
            <dependency>
                <groupId>org.apache.maven</groupId>
                <artifactId>maven-artifact</artifactId>
                <version>3.6.3.redhat-00010</version>
            </dependency>
            <dependency>
                <groupId>org.apache.maven</groupId>
                <artifactId>maven-builder-support</artifactId>
                <version>3.6.3.redhat-00010</version>
            </dependency>
            <dependency>
                <groupId>org.apache.maven</groupId>
                <artifactId>maven-model</artifactId>
                <version>3.6.3.redhat-00010</version>
            </dependency>
            <dependency>
                <groupId>org.apache.maven</groupId>
                <artifactId>maven-model-builder</artifactId>
                <version>3.6.3.redhat-00010</version>
            </dependency>
            <dependency>
                <groupId>org.apache.maven</groupId>
                <artifactId>maven-repository-metadata</artifactId>
                <version>3.6.3.redhat-00010</version>
            </dependency>
            <dependency>
                <groupId>org.apache.maven</groupId>
                <artifactId>maven-resolver-provider</artifactId>
                <version>3.6.3.redhat-00010</version>
            </dependency>
            <dependency>
                <groupId>org.apache.maven.resolver</groupId>
                <artifactId>maven-resolver-api</artifactId>
                <version>1.9.10.redhat-00001</version>
            </dependency>
            <dependency>
                <groupId>org.apache.maven.resolver</groupId>
                <artifactId>maven-resolver-connector-basic</artifactId>
                <version>1.9.10.redhat-00001</version>
            </dependency>
            <dependency>
                <groupId>org.apache.maven.resolver</groupId>
                <artifactId>maven-resolver-impl</artifactId>
                <version>1.9.10.redhat-00001</version>
            </dependency>
            <dependency>
                <groupId>org.apache.maven.resolver</groupId>
                <artifactId>maven-resolver-spi</artifactId>
                <version>1.9.10.redhat-00001</version>
            </dependency>
            <dependency>
                <groupId>org.apache.maven.resolver</groupId>
                <artifactId>maven-resolver-transport-file</artifactId>
                <version>1.9.10.redhat-00001</version>
            </dependency>
            <dependency>
                <groupId>org.apache.maven.resolver</groupId>
                <artifactId>maven-resolver-transport-http</artifactId>
                <version>1.9.10.redhat-00001</version>
            </dependency>
            <dependency>
                <groupId>org.apache.maven.resolver</groupId>
                <artifactId>maven-resolver-util</artifactId>
                <version>1.9.10.redhat-00001</version>
            </dependency>
            <dependency>
                <groupId>org.codehaus.plexus</groupId>
                <artifactId>plexus-interpolation</artifactId>
                <version>1.26.0.redhat-00006</version>
            </dependency>
            <dependency>
                <groupId>org.codehaus.plexus</groupId>
                <artifactId>plexus-utils</artifactId>
                <version>3.5.0.redhat-00004</version>
            </dependency>
            <dependency>
                <groupId>org.jboss.logging</groupId>
                <artifactId>jboss-logging</artifactId>
                <version>3.5.3.Final-redhat-00001</version>
            </dependency>
            <dependency>
                <groupId>org.slf4j</groupId>
                <artifactId>jcl-over-slf4j</artifactId>
                <version>2.0.17.redhat-00001</version> <!-- Original version: 2.0.16.redhat-00001 -->
            </dependency>
            <!-- override wildfly-cli versions -->
            <dependency>
                <groupId>jakarta.json</groupId>
                <artifactId>jakarta.json-api</artifactId>
                <version>2.1.3.redhat-00002</version>
            </dependency>
            <dependency>
                <groupId>org.apache.sshd</groupId>
                <artifactId>sshd-common</artifactId>
                <version>2.12.1.redhat-00002</version>
            </dependency>
            <dependency>
                <groupId>org.eclipse.parsson</groupId>
                <artifactId>parsson</artifactId>
                <version>1.1.7.redhat-00002</version>
            </dependency>
            <dependency>
                <groupId>org.jboss.remoting</groupId>
                <artifactId>jboss-remoting</artifactId>
                <version>5.0.31.Final-redhat-00001</version> <!-- Original version: 5.0.30.Final-redhat-00001 -->
            </dependency>
            <dependency>
                <groupId>org.slf4j</groupId>
                <artifactId>slf4j-api</artifactId>
                <version>2.0.17.redhat-00001</version> <!-- Original version: 2.0.16.redhat-00001 -->
            </dependency>
            <dependency>
                <groupId>com.fasterxml.jackson.core</groupId>
                <artifactId>jackson-annotations</artifactId>
                <version>2.15.4.redhat-00001</version>
            </dependency>
            <dependency>
                <groupId>com.fasterxml.jackson.core</groupId>
                <artifactId>jackson-core</artifactId>
                <version>2.15.4.redhat-00001</version>
            </dependency>
            <dependency>
                <groupId>com.fasterxml.jackson.core</groupId>
                <artifactId>jackson-databind</artifactId>
                <version>2.15.4.redhat-00001</version>
            </dependency>
            <dependency>
                <groupId>com.fasterxml.jackson.core</groupId>
                <artifactId>jackson-dataformat-yaml</artifactId>
                <version>2.15.4.redhat-00001</version>
            </dependency>
            <dependency>
                <groupId>com.networknt</groupId>
                <artifactId>json-schema-validator</artifactId>
                <version>1.0.82.redhat-00004</version>
            </dependency>
            <dependency>
                <groupId>org.wildfly.security</groupId>
                <artifactId>wildfly-elytron-asn1</artifactId>
                <version>2.2.12.Final-redhat-00001</version> <!-- Original version: 2.2.7.Final-redhat-00001 -->
            </dependency>
            <dependency>
                <groupId>org.wildfly.security</groupId>
                <artifactId>wildfly-elytron-auth</artifactId>
                <version>2.2.12.Final-redhat-00001</version> <!-- Original version: 2.2.7.Final-redhat-00001 -->
            </dependency>
            <dependency>
                <groupId>org.wildfly.security</groupId>
                <artifactId>wildfly-elytron-auth-server</artifactId>
                <version>2.2.12.Final-redhat-00001</version> <!-- Original version: 2.2.7.Final-redhat-00001 -->
            </dependency>
            <dependency>
                <groupId>org.wildfly.security</groupId>
                <artifactId>wildfly-elytron-auth-util</artifactId>
                <version>2.2.12.Final-redhat-00001</version> <!-- Original version: 2.2.7.Final-redhat-00001 -->
            </dependency>
            <dependency>
                <groupId>org.wildfly.security</groupId>
                <artifactId>wildfly-elytron-base</artifactId>
                <version>2.2.12.Final-redhat-00001</version> <!-- Original version: 2.2.7.Final-redhat-00001 -->
            </dependency>
            <dependency>
                <groupId>org.wildfly.security</groupId>
                <artifactId>wildfly-elytron-client</artifactId>
                <version>2.2.12.Final-redhat-00001</version> <!-- Original version: 2.2.7.Final-redhat-00001 -->
            </dependency>
            <dependency>
                <groupId>org.wildfly.security</groupId>
                <artifactId>wildfly-elytron-credential</artifactId>
                <version>2.2.12.Final-redhat-00001</version> <!-- Original version: 2.2.7.Final-redhat-00001 -->
            </dependency>
            <dependency>
                <groupId>org.wildfly.security</groupId>
                <artifactId>wildfly-elytron-credential-source-impl</artifactId>
                <version>2.2.12.Final-redhat-00001</version> <!-- Original version: 2.2.7.Final-redhat-00001 -->
            </dependency>
            <dependency>
                <groupId>org.wildfly.security</groupId>
                <artifactId>wildfly-elytron-credential-store</artifactId>
                <version>2.2.12.Final-redhat-00001</version> <!-- Original version: 2.2.7.Final-redhat-00001 -->
            </dependency>
            <dependency>
                <groupId>org.wildfly.security</groupId>
                <artifactId>wildfly-elytron-encryption</artifactId>
                <version>2.2.12.Final-redhat-00001</version> <!-- Original version: 2.2.7.Final-redhat-00001 -->
            </dependency>
            <dependency>
                <groupId>org.wildfly.security</groupId>
                <artifactId>wildfly-elytron-http</artifactId>
                <version>2.2.12.Final-redhat-00001</version> <!-- Original version: 2.2.7.Final-redhat-00001 -->
            </dependency>
            <dependency>
                <groupId>org.wildfly.security</groupId>
                <artifactId>wildfly-elytron-keystore</artifactId>
                <version>2.2.12.Final-redhat-00001</version> <!-- Original version: 2.2.7.Final-redhat-00001 -->
            </dependency>
            <dependency>
                <groupId>org.wildfly.security</groupId>
                <artifactId>wildfly-elytron-mechanism</artifactId>
                <version>2.2.12.Final-redhat-00001</version> <!-- Original version: 2.2.7.Final-redhat-00001 -->
            </dependency>
            <dependency>
                <groupId>org.wildfly.security</groupId>
                <artifactId>wildfly-elytron-mechanism-gssapi</artifactId>
                <version>2.2.12.Final-redhat-00001</version> <!-- Original version: 2.2.7.Final-redhat-00001 -->
            </dependency>
            <dependency>
                <groupId>org.wildfly.security</groupId>
                <artifactId>wildfly-elytron-password-impl</artifactId>
                <version>2.2.12.Final-redhat-00001</version> <!-- Original version: 2.2.7.Final-redhat-00001 -->
            </dependency>
            <dependency>
                <groupId>org.wildfly.security</groupId>
                <artifactId>wildfly-elytron-permission</artifactId>
                <version>2.2.12.Final-redhat-00001</version> <!-- Original version: 2.2.7.Final-redhat-00001 -->
            </dependency>
            <dependency>
                <groupId>org.wildfly.security</groupId>
                <artifactId>wildfly-elytron-provider-util</artifactId>
                <version>2.2.12.Final-redhat-00001</version> <!-- Original version: 2.2.7.Final-redhat-00001 -->
            </dependency>
            <dependency>
                <groupId>org.wildfly.security</groupId>
                <artifactId>wildfly-elytron-realm</artifactId>
                <version>2.2.12.Final-redhat-00001</version> <!-- Original version: 2.2.7.Final-redhat-00001 -->
            </dependency>
            <dependency>
                <groupId>org.wildfly.security</groupId>
                <artifactId>wildfly-elytron-sasl</artifactId>
                <version>2.2.12.Final-redhat-00001</version> <!-- Original version: 2.2.7.Final-redhat-00001 -->
            </dependency>
            <dependency>
                <groupId>org.wildfly.security</groupId>
                <artifactId>wildfly-elytron-sasl-anonymous</artifactId>
                <version>2.2.12.Final-redhat-00001</version> <!-- Original version: 2.2.7.Final-redhat-00001 -->
            </dependency>
            <dependency>
                <groupId>org.wildfly.security</groupId>
                <artifactId>wildfly-elytron-sasl-localuser</artifactId>
                <version>2.2.12.Final-redhat-00001</version> <!-- Original version: 2.2.7.Final-redhat-00001 -->
            </dependency>
            <dependency>
                <groupId>org.wildfly.security</groupId>
                <artifactId>wildfly-elytron-security-manager</artifactId>
                <version>2.2.12.Final-redhat-00001</version> <!-- Original version: 2.2.7.Final-redhat-00001 -->
            </dependency>
            <dependency>
                <groupId>org.wildfly.security</groupId>
                <artifactId>wildfly-elytron-security-manager-action</artifactId>
                <version>2.2.12.Final-redhat-00001</version> <!-- Original version: 2.2.7.Final-redhat-00001 -->
            </dependency>
            <dependency>
                <groupId>org.wildfly.security</groupId>
                <artifactId>wildfly-elytron-ssl</artifactId>
                <version>2.2.12.Final-redhat-00001</version> <!-- Original version: 2.2.7.Final-redhat-00001 -->
            </dependency>
            <dependency>
                <groupId>org.wildfly.security</groupId>
                <artifactId>wildfly-elytron-util</artifactId>
                <version>2.2.12.Final-redhat-00001</version> <!-- Original version: 2.2.7.Final-redhat-00001 -->
            </dependency>
            <dependency>
                <groupId>org.wildfly.security</groupId>
                <artifactId>wildfly-elytron-x500</artifactId>
                <version>2.2.12.Final-redhat-00001</version> <!-- Original version: 2.2.7.Final-redhat-00001 -->
            </dependency>
            <dependency>
                <groupId>org.wildfly.security</groupId>
                <artifactId>wildfly-elytron-x500-cert</artifactId>
                <version>2.2.12.Final-redhat-00001</version> <!-- Original version: 2.2.7.Final-redhat-00001 -->
            </dependency>
            <dependency>
                <groupId>org.wildfly.security</groupId>
                <artifactId>wildfly-elytron-x500-cert-acme</artifactId>
                <version>2.2.12.Final-redhat-00001</version> <!-- Original version: 2.2.7.Final-redhat-00001 -->
            </dependency>
            <dependency>
                <groupId>org.wildfly.security</groupId>
                <artifactId>wildfly-elytron-x500-cert-util</artifactId>
                <version>2.2.12.Final-redhat-00001</version> <!-- Original version: 2.2.7.Final-redhat-00001 -->
            </dependency>
            <dependency>
                <groupId>org.jboss.modules</groupId>
                <artifactId>jboss-modules</artifactId>
                <version>2.1.6.Final-redhat-00001</version> <!-- Original version: 2.1.4.Final-redhat-00001 -->
            </dependency>
            <dependency>
                <groupId>org.jboss.threads</groupId>
                <artifactId>jboss-threads</artifactId>
                <version>2.4.0.Final-redhat-00001</version>
            </dependency>
            <dependency>
                <groupId>org.wildfly.client</groupId>
                <artifactId>wildfly-client-config</artifactId>
                <version>1.0.1.Final-redhat-00001</version>
            </dependency>
            <dependency>
                <groupId>org.wildfly.common</groupId>
                <artifactId>wildfly-common</artifactId>
                <version>1.7.0.Final-redhat-00003</version> <!-- Original version: 1.6.0.Final-redhat-00001 -->
            </dependency>
            <dependency>
                <groupId>org.yaml</groupId>
                <artifactId>snakeyaml</artifactId>
                <version>2.2.0.redhat-00001</version>
            </dependency>
            <dependency>
                <groupId>com.fasterxml.jackson.dataformat</groupId>
                <artifactId>jackson-dataformat-yaml</artifactId>
                <version>2.15.4.redhat-00001</version>
            </dependency>
            <dependency>
                <groupId>org.jboss.marshalling</groupId>
                <artifactId>jboss-marshalling</artifactId>
                <version>2.1.7.Final-redhat-00001</version> <!-- Original version: 2.1.6.Final-redhat-00001 -->
            </dependency>
            <dependency>
                <groupId>org.jboss.marshalling</groupId>
                <artifactId>jboss-marshalling-river</artifactId>
                <version>2.1.7.Final-redhat-00001</version> <!-- Original version: 2.1.6.Final-redhat-00001 -->
            </dependency>
            <dependency>
                <groupId>org.wildfly.core</groupId>
                <artifactId>wildfly-cli</artifactId>
                <version>21.0.17.Final-redhat-00001</version> <!-- Original version: 21.0.13.Final-redhat-00001 -->
            </dependency>
            <dependency>
                <groupId>org.wildfly.core</groupId>
                <artifactId>wildfly-controller</artifactId>
                <version>21.0.17.Final-redhat-00001</version> <!-- Original version: 21.0.13.Final-redhat-00001 -->
            </dependency>
            <dependency>
                <groupId>org.wildfly.core</groupId>
                <artifactId>wildfly-controller-client</artifactId>
                <version>21.0.17.Final-redhat-00001</version> <!-- Original version: 21.0.13.Final-redhat-00001 -->
            </dependency>
            <dependency>
                <groupId>org.wildfly.core</groupId>
                <artifactId>wildfly-core-security</artifactId>
                <version>21.0.17.Final-redhat-00001</version> <!-- Original version: 21.0.13.Final-redhat-00001 -->
            </dependency>
            <dependency>
                <groupId>org.wildfly.core</groupId>
                <artifactId>wildfly-embedded</artifactId>
                <version>21.0.17.Final-redhat-00001</version> <!-- Original version: 21.0.13.Final-redhat-00001 -->
            </dependency>
            <dependency>
                <groupId>org.wildfly.core</groupId>
                <artifactId>wildfly-protocol</artifactId>
                <version>21.0.17.Final-redhat-00001</version> <!-- Original version: 21.0.13.Final-redhat-00001 -->
            </dependency>
            <dependency>
                <groupId>org.wildfly.core</groupId>
                <artifactId>wildfly-version</artifactId>
                <version>21.0.17.Final-redhat-00001</version> <!-- Original version: 21.0.13.Final-redhat-00001 -->
            </dependency>
            <dependency>
                <groupId>org.fusesource.jansi</groupId>
                <artifactId>jansi</artifactId>
                <version>2.4.1.redhat-00001</version> <!-- Original version: 1.18.0.redhat-00001 -->
            </dependency>
            <dependency>
                <groupId>org.jboss</groupId>
                <artifactId>jboss-vfs</artifactId>
                <version>3.3.2.Final-redhat-00001</version> <!-- Original version: 3.3.0.Final-redhat-00001 -->
                <exclusions>
                    <exclusion>
                        <groupId>org.jboss.logging</groupId>
                        <artifactId>jboss-logging</artifactId>
                    </exclusion>
                </exclusions>
            </dependency>
            <dependency>
                <groupId>org.jboss.msc</groupId>
                <artifactId>jboss-msc</artifactId>
                <version>1.5.5.Final-redhat-00001</version> <!-- Original version: 1.5.1.Final-redhat-00001 -->
            </dependency>
        </dependencies>
    </dependencyManagement>

    <build>
        <resources>
            <resource>
                <directory>${basedir}/src/main/resources/properties</directory>
                <filtering>true</filtering>
            </resource>
            <resource>
                <directory>${basedir}/src/main/resources</directory>
                <filtering>false</filtering>
            </resource>
        </resources>
        <testResources>
            <testResource>
                <directory>${basedir}/src/test/resources/properties</directory>
                <filtering>true</filtering>
            </testResource>
            <testResource>
                <directory>${basedir}/src/test/resources</directory>
                <filtering>false</filtering>
            </testResource>
        </testResources>
        <pluginManagement>
            <plugins>
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-compiler-plugin</artifactId>
                    <version>${version.maven-compiler-plugin}</version>
                    <configuration>
                        <source>11</source>
                        <target>11</target>
                        <testSource>11</testSource>
                        <testTarget>11</testTarget>
                    </configuration>
                </plugin>
                <!-- Checkstyle -->
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-checkstyle-plugin</artifactId>
                    <version>${version.checkstyle.plugin}</version>
                    <executions>
                        <execution>
                            <id>check-style</id>
                            <phase>compile</phase>
                            <goals>
                                <goal>checkstyle</goal>
                            </goals>
                        </execution>
                    </executions>
                    <dependencies>
                        <dependency>
                            <groupId>org.wildfly.checkstyle</groupId>
                            <artifactId>wildfly-checkstyle-config</artifactId>
                            <version>${version.org.wildfly.checkstyle-config}</version>
                        </dependency>
                    </dependencies>
                    <configuration>
                        <configLocation>wildfly-checkstyle/checkstyle.xml</configLocation>
                        <consoleOutput>true</consoleOutput>
                        <failsOnError>true</failsOnError>
                        <suppressionsLocation>checkstyle-suppressions.xml</suppressionsLocation>
                        <includeTestSourceDirectory>true</includeTestSourceDirectory>
                        <excludes>**/*$logger.java,**/*$bundle.java</excludes>
                        <useFile />
                    </configuration>
                </plugin>
            </plugins>
        </pluginManagement>

        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-checkstyle-plugin</artifactId>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-surefire-plugin</artifactId>
                <version>${version.maven-surefire-plugin}</version>
                <configuration>
                    <systemPropertyVariables>
                        <maven.repo.path>${project.build.directory}/maven-cache</maven.repo.path>
                    </systemPropertyVariables>
                </configuration>
                <executions>
                    <execution>
                        <id>installer-test</id>
                        <phase>test</phase>
                        <goals>
                            <goal>test</goal>
                        </goals>
                        <configuration>
                            <includes>
                                <include>**/ComponentSelectionTest.java</include>
                            </includes>
                            <classpathDependencyExcludes>
                                <classpathDependencyExclude>org.wildfly.core:wildfly-controller-client</classpathDependencyExclude>
                                <classpathDependencyExclude>org.wildfly.core:wildfly-embedded</classpathDependencyExclude>
                                <classpathDependencyExclude>org.wildfly.core:wildfly-protocol</classpathDependencyExclude>
                                <classpathDependencyExclude>org.jboss.modules:jboss-modules</classpathDependencyExclude>
                            </classpathDependencyExcludes>
                            <reuseForks>false</reuseForks>
                        </configuration>
                    </execution>
                    <execution>
                        <id>default-test</id>
                        <phase>test</phase>
                        <goals>
                            <goal>test</goal>
                        </goals>
                        <configuration>
                            <excludes>
                                <exclude>**/ComponentSelectionTest.java</exclude>
                            </excludes>
                            <reuseForks>false</reuseForks>
                        </configuration>
                    </execution>
                </executions>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-shade-plugin</artifactId>
                <version>${version.maven-shade-plugin}</version>
                <configuration>
                    <createDependencyReducedPom>false</createDependencyReducedPom>
                    <filters>
                        <filter>
                            <artifact>*:*</artifact>
                            <excludes>
                                <exclude>META-INF/*.MF</exclude>
                                <exclude>META-INF/DEPENDENCIES</exclude>
                                <exclude>META-INF/build.metadata</exclude>
                                <exclude>META-INF/*.SF</exclude>
                                <exclude>META-INF/*.DSA</exclude>
                                <exclude>META-INF/*.RSA</exclude>
                                <exclude>META-INF/maven/**/*</exclude>
                                <exclude>META-INF/gradle/**/*</exclude>
                                <exclude>*.txt</exclude>
                                <exclude>*.html</exclude>
                            </excludes>
                        </filter>
                    </filters>
                </configuration>
                <executions>
                    <execution>
                        <phase>package</phase>
                        <goals>
                            <goal>shade</goal>
                        </goals>
                        <configuration>
                            <transformers>
                                <transformer implementation="org.apache.maven.plugins.shade.resource.ServicesResourceTransformer" />
                                <transformer implementation="org.apache.maven.plugins.shade.resource.ManifestResourceTransformer">
                                    <mainClass>org.jboss.installer.Installer</mainClass>
                                    <manifestEntries>
                                        <Multi-Release>true</Multi-Release>
                                        <!-- Add the package below to fix warning on JDK11 when starting embedded server -->
                                        <!-- Can be removed when JDK11 is not supported -->
                                        <Add-Opens>java.base/com.sun.net.ssl.internal.ssl</Add-Opens>
                                    </manifestEntries>
                                </transformer>
                                <transformer implementation="org.apache.maven.plugins.shade.resource.ApacheLicenseResourceTransformer" />
                                <transformer implementation="org.apache.maven.plugins.shade.resource.ApacheNoticeResourceTransformer" />
                                <transformer implementation="org.apache.maven.plugins.shade.resource.ComponentsXmlResourceTransformer" />
                                <transformer implementation="org.apache.maven.plugins.shade.resource.IncludeResourceTransformer">
                                    <resource>META-INF/LICENSE.txt</resource>
                                    <file>LICENSE.txt</file>
                                </transformer>
                                <transformer implementation="org.apache.maven.plugins.shade.resource.IncludeResourceTransformer">
                                    <resource>jboss_eula.html</resource>
                                    <file>src/main/resources/jboss_eula.html</file>
                                </transformer>
                            </transformers>
                        </configuration>
                    </execution>
                </executions>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-dependency-plugin</artifactId>
                <version>${version.maven-dependency-plugin}</version>
                <executions>
                    <execution>
                        <id>copy-test-jsf</id>
                        <phase>test-compile</phase>
                        <goals>
                            <goal>copy</goal>
                        </goals>
                        <configuration>
                            <artifactItems>
                                <artifactItem>
                                    <groupId>com.sun.faces</groupId>
                                    <artifactId>jsf-impl</artifactId>
                                    <version>${version.com.sun.faces}</version>
                                    <type>jar</type>
                                    <overWrite>true</overWrite>
                                    <outputDirectory>${project.basedir}/target/test-classes/jars</outputDirectory>
                                    <destFileName>mojarra-impl.jar</destFileName>
                                </artifactItem>
                                <artifactItem>
                                    <groupId>org.apache.myfaces.core</groupId>
                                    <artifactId>myfaces-impl</artifactId>
                                    <version>${version.org.apache.myfaces.core.myfaces}</version>
                                    <type>jar</type>
                                    <overWrite>true</overWrite>
                                    <outputDirectory>${project.basedir}/target/test-classes/jars</outputDirectory>
                                    <destFileName>myfaces-impl.jar</destFileName>
                                </artifactItem>
                                <artifactItem>
                                    <groupId>org.apache.myfaces.core</groupId>
                                    <artifactId>myfaces-api</artifactId>
                                    <version>${version.org.apache.myfaces.core.myfaces}</version>
                                    <type>jar</type>
                                    <overWrite>true</overWrite>
                                    <outputDirectory>${project.basedir}/target/test-classes/jars</outputDirectory>
                                    <destFileName>myfaces-api.jar</destFileName>
                                </artifactItem>
                                <artifactItem>
                                    <groupId>com.ibm.db2</groupId>
                                    <artifactId>jcc</artifactId>
                                    <version>${version.com.ibm.db2.jcc}</version>
                                    <type>jar</type>
                                    <overWrite>true</overWrite>
                                    <outputDirectory>${project.basedir}/target/test-classes/jars</outputDirectory>
                                    <destFileName>ibm-db2.jar</destFileName>
                                </artifactItem>
                            </artifactItems>
                        </configuration>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>
    <dependencies>
        <dependency>
            <groupId>org.aesh</groupId>
            <artifactId>readline</artifactId>
            <version>${version.org.aesh.readline}</version>
        </dependency>
        <dependency>
            <groupId>org.jboss.galleon</groupId>
            <artifactId>galleon-maven-plugin</artifactId>
            <version>${version.org.jboss.galleon}</version>
            <exclusions>
                <exclusion>
                    <groupId>org.eclipse.aether</groupId>
                    <artifactId>aether-api</artifactId>
                </exclusion>
                <exclusion>
                    <groupId>org.eclipse.aether</groupId>
                    <artifactId>aether-util</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <dependency>
            <groupId>com.google.auto.service</groupId>
            <artifactId>auto-service</artifactId>
            <version>${version.com.google.auto.service}</version>
            <scope>compile</scope>
        </dependency>

        <dependency>
            <groupId>org.wildfly.prospero</groupId>
            <artifactId>prospero-common</artifactId>
            <version>${version.org.wildfly.prospero}</version>
        </dependency>
        <dependency>
            <groupId>org.jboss.slf4j</groupId>
            <artifactId>slf4j-jboss-logmanager</artifactId>
            <version>${version.org.jboss.logging.slf4j-jboss-logmanager}</version>
        </dependency>
        <dependency>
            <groupId>org.jboss.logmanager</groupId>
            <artifactId>jboss-logmanager</artifactId>
            <version>${version.org.jboss.logmanager}</version>
        </dependency>
        <dependency>
            <groupId>org.wildfly.core</groupId>
            <artifactId>wildfly-cli</artifactId>
        </dependency>
        <dependency>
            <groupId>org.wildfly.core</groupId>
            <artifactId>wildfly-controller</artifactId>
        </dependency>
        <dependency>
            <groupId>com.formdev</groupId>
            <artifactId>flatlaf</artifactId>
            <version>${version.com.formdev}</version>
        </dependency>
        <dependency>
            <groupId>org.apache.commons</groupId>
            <artifactId>commons-text</artifactId>
            <version>${version.org.apache.commons-text}</version>
        </dependency>
        <dependency>
            <groupId>org.wildfly.channel</groupId>
            <artifactId>maven-resolver</artifactId>
            <version>${version.org.wildfly.channels}</version>
        </dependency>
        <!-- TODO: remove jgit after it's updated in Prospero -->
        <dependency>
            <groupId>org.eclipse.jgit</groupId>
            <artifactId>org.eclipse.jgit</artifactId>
            <version>${version.org.eclipse.jgit}</version>
        </dependency>

        <dependency>
            <groupId>junit</groupId>
            <artifactId>junit</artifactId>
            <version>${version.junit}</version>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>org.mockito</groupId>
            <artifactId>mockito-core</artifactId>
            <version>${version.org.mockito}</version>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>io.undertow</groupId>
            <artifactId>undertow-core</artifactId>
            <version>${version.io.undertow}</version>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>org.wildfly.core</groupId>
            <artifactId>wildfly-launcher</artifactId>
            <scope>test</scope>
        </dependency>

        <dependency>
            <groupId>org.assertj</groupId>
            <artifactId>assertj-core</artifactId>
            <version>${version.assertj}</version>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>org.jboss.shrinkwrap</groupId>
            <artifactId>shrinkwrap-api</artifactId>
            <version>${version.org.jboss.shrinkwrap.shrinkwrap}</version>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>org.wildfly.arquillian</groupId>
            <artifactId>wildfly-arquillian-container-managed</artifactId>
            <version>${version.org.wildfly.arquillian}</version>
            <scope>test</scope>
            <exclusions>
                <exclusion>
                    <groupId>org.jboss.sasl</groupId>
                    <artifactId>jboss-sasl</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <dependency>
            <groupId>org.jboss.shrinkwrap</groupId>
            <artifactId>shrinkwrap-impl-base</artifactId>
            <version>${version.org.jboss.shrinkwrap.shrinkwrap}</version>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>org.bouncycastle</groupId>
            <artifactId>bcmail-jdk18on</artifactId>
            <version>${version.org.bouncycastle}</version>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>org.bouncycastle</groupId>
            <artifactId>bcpg-jdk18on</artifactId>
            <version>${version.org.bouncycastle}</version>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>org.bouncycastle</groupId>
            <artifactId>bcpkix-jdk18on</artifactId>
            <version>${version.org.bouncycastle}</version>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>org.bouncycastle</groupId>
            <artifactId>bcprov-jdk18on</artifactId>
            <version>${version.org.bouncycastle}</version>
            <scope>test</scope>
        </dependency>
        <!-- keep apacheds at the end to avoid overriding deps -->
        <dependency>
            <groupId>org.apache.directory.server</groupId>
            <artifactId>apacheds-test-framework</artifactId>
            <version>${version.org.apache.directory.server}</version>
            <scope>test</scope>
        </dependency>

    </dependencies>

    <repositories>
        <!-- keep this repository the first -->
        

        
        
    </repositories>
</project>
<!--
Modified by POM Manipulation Extension for Maven 4.22 ( SHA: 37322da5 )
-->
